# Copyright © 2021 Maurice Zhou
#
# based on https://github.com/rpm-software-management/dnf-plugins-extras
#
# Copyright © 2014 Igor Gnatenko
# Copyright © 2017 Red Hat
#
# SPDX-License-Identifier: GPL-3.0-or-later

import dnf.exceptions
import sys
import dnf
import subprocess

class rozb3(dnf.Plugin):
    name = 'rozb3'

    def __init__(self, base, cli):
        self.base = base

    def pre_transaction(self):
        if not self.base.transaction:
            return
        result = subprocess.run(["rozb3-dnf.sh", "pre_"], stdout=subprocess.PIPE, stderr=subprocess.PIPE, universal_newlines=True)
        print(result.stdout)
        print(result.stderr)
    def transaction(self):
        if not self.base.transaction:
            return
        result = subprocess.run(["rozb3-dnf.sh", "post"], stdout=subprocess.PIPE, stderr=subprocess.PIPE, universal_newlines=True)
        print(result.stdout)
        print(result.stderr)
